#include <windows.h>
#include "shared.h"
#include "vertex.h"


VERTEX::VERTEX(VECTOR scoords, VECTOR snormal)
{
    coords = scoords;
    normal = snormal;
}
    
VERTEX::VERTEX(float sx, float sy, float sz, float snx, float sny, float snz)
{
    coords.x = sx;
    coords.y = sy;
    coords.z = sz;
    normal.x = snx;
    normal.y = sny;
    normal.z = snz;
}

VERTEX::~VERTEX()
{
}

